<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsSelfTestResult Struct Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="struct_xs_self_test_result-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsSelfTestResult Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contains the results of a self-test performed by an Xsens device.  
 <a href="struct_xs_self_test_result.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3c0ceb7aa134256922d987181ed4a364"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c0ceb7aa134256922d987181ed4a364"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_self_test_result.html#a3c0ceb7aa134256922d987181ed4a364">accX</a> () const </td></tr>
<tr class="memdesc:a3c0ceb7aa134256922d987181ed4a364"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the accelerometer x-axis passed (true) or failed (false) its self-test. <br /></td></tr>
<tr class="separator:a3c0ceb7aa134256922d987181ed4a364"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cd27fd84ceab98c7d7e4998c7cb27ac"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3cd27fd84ceab98c7d7e4998c7cb27ac"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_self_test_result.html#a3cd27fd84ceab98c7d7e4998c7cb27ac">accY</a> () const </td></tr>
<tr class="memdesc:a3cd27fd84ceab98c7d7e4998c7cb27ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the accelerometer y-axis passed (true) or failed (false) its self-test. <br /></td></tr>
<tr class="separator:a3cd27fd84ceab98c7d7e4998c7cb27ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa5929b958a095aaf58bfd612dd97cfbd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5929b958a095aaf58bfd612dd97cfbd"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_self_test_result.html#aa5929b958a095aaf58bfd612dd97cfbd">accZ</a> () const </td></tr>
<tr class="memdesc:aa5929b958a095aaf58bfd612dd97cfbd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the accelerometer z-axis passed (true) or failed (false) its self-test. <br /></td></tr>
<tr class="separator:aa5929b958a095aaf58bfd612dd97cfbd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07c1c1139a75572730bafc7521988fdb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a07c1c1139a75572730bafc7521988fdb"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_self_test_result.html#a07c1c1139a75572730bafc7521988fdb">gyrX</a> () const </td></tr>
<tr class="memdesc:a07c1c1139a75572730bafc7521988fdb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the gyroscope x-axis passed (true) or failed (false) its self-test. <br /></td></tr>
<tr class="separator:a07c1c1139a75572730bafc7521988fdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab03394accd731e18b6aaea4465221603"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab03394accd731e18b6aaea4465221603"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_self_test_result.html#ab03394accd731e18b6aaea4465221603">gyrY</a> () const </td></tr>
<tr class="memdesc:ab03394accd731e18b6aaea4465221603"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the gyroscope y-axis passed (true) or failed (false) its self-test. <br /></td></tr>
<tr class="separator:ab03394accd731e18b6aaea4465221603"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25b42404d5cb686930ac147848f4aae3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a25b42404d5cb686930ac147848f4aae3"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_self_test_result.html#a25b42404d5cb686930ac147848f4aae3">gyrZ</a> () const </td></tr>
<tr class="memdesc:a25b42404d5cb686930ac147848f4aae3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the gyroscope z-axis passed (true) or failed (false) its self-test. <br /></td></tr>
<tr class="separator:a25b42404d5cb686930ac147848f4aae3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b04a6a4d9fa099b6b0f6bee7ce7d7ef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9b04a6a4d9fa099b6b0f6bee7ce7d7ef"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_self_test_result.html#a9b04a6a4d9fa099b6b0f6bee7ce7d7ef">magX</a> () const </td></tr>
<tr class="memdesc:a9b04a6a4d9fa099b6b0f6bee7ce7d7ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the magnetometer x-axis passed (true) or failed (false) its self-test. <br /></td></tr>
<tr class="separator:a9b04a6a4d9fa099b6b0f6bee7ce7d7ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab649356cc3757a0aa8a3b3d1d1fac24e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab649356cc3757a0aa8a3b3d1d1fac24e"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_self_test_result.html#ab649356cc3757a0aa8a3b3d1d1fac24e">magY</a> () const </td></tr>
<tr class="memdesc:ab649356cc3757a0aa8a3b3d1d1fac24e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the magnetometer y-axis passed (true) or failed (false) its self-test. <br /></td></tr>
<tr class="separator:ab649356cc3757a0aa8a3b3d1d1fac24e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd7e12573413ef42b1e9c0cc41ca5f00"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd7e12573413ef42b1e9c0cc41ca5f00"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_self_test_result.html#afd7e12573413ef42b1e9c0cc41ca5f00">magZ</a> () const </td></tr>
<tr class="memdesc:afd7e12573413ef42b1e9c0cc41ca5f00"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns whether the magnetometer z-axis passed (true) or failed (false) its self-test. <br /></td></tr>
<tr class="separator:afd7e12573413ef42b1e9c0cc41ca5f00"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a134fb7311233b5add554960b92119fb1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a134fb7311233b5add554960b92119fb1"></a>
static <a class="el" href="struct_xs_self_test_result.html">XsSelfTestResult</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_self_test_result.html#a134fb7311233b5add554960b92119fb1">create</a> (uint16_t resultFlags)</td></tr>
<tr class="memdesc:a134fb7311233b5add554960b92119fb1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new XsSelfTestResult from supplied flags. <br /></td></tr>
<tr class="separator:a134fb7311233b5add554960b92119fb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:abee1652fdd117b80fdd03ad915411e3b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abee1652fdd117b80fdd03ad915411e3b"></a>
uint16_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_self_test_result.html#abee1652fdd117b80fdd03ad915411e3b">m_flags</a></td></tr>
<tr class="memdesc:abee1652fdd117b80fdd03ad915411e3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flags that specify which tests have passed. <br /></td></tr>
<tr class="separator:abee1652fdd117b80fdd03ad915411e3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Contains the results of a self-test performed by an Xsens device. </p>
</div></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
